BLUE=\e[34m
GREEN=\e[32m
CYAN=\e[36m
NORMAL=\e[39m

define build-slug
	@echo -e "$(BLUE)$1$(GREEN)\t $<$(CYAN)\t$@$(NORMAL)"
endef

define protoc-build
	$(call build-slug,protoc)
	@protoc \
		--go_out=. \
		--go_opt=paths=source_relative \
		--go-grpc_out=. \
		--go-grpc_opt=paths=source_relative \
		./$< 
endef
